Debian Bug report logs - #210518
sawfish: _NET_WM_STATE_ABOVE and _NET_WM_STATE_BELOW not managed properly

version graph

Package: sawfish; Maintainer for sawfish is Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>; Source for sawfish is src:sawfish.

Reported by: Mattia Monga <monga@debian.org>

Date: Fri, 12 Sep 2003 01:48:02 UTC

Severity: normal

Tags: patch

Found in version 1:1.3-4

Fixed in version sawfish/1:1.3-5

Done: Christian Marillat <marillat@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=122335

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, monga@debian.org, seb128@debian.org, Christian Marillat <marillat@debian.org>:
Bug#210518; Package sawfish. Full text and rfc822 format available.

Acknowledgement sent to Mattia Monga <monga@debian.org>:
New Bug report received and forwarded. Copy sent to monga@debian.org, seb128@debian.org, Christian Marillat <marillat@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mattia Monga <monga@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sawfish: _NET_WM_STATE_ABOVE and _NET_WM_STATE_BELOW not managed properly
Date: Fri, 12 Sep 2003 03:41:24 +0200
Package: sawfish
Version: 1:1.3-4
Severity: normal
Tags: patch

When an application (try gdesklets) sends a request of adding or
removing _NET_WM_STATE_BELOW or _NET_WM_STATE_ABOVE to a window,
sawfish add or remove both (and ABOVE seems to have priority)

I've fixed it with the following correction

--- lisp/sawfish/wm/state/wm-spec.jl.orig	2003-03-16 21:56:48.000000000 +0100
+++ lisp/sawfish/wm/state/wm-spec.jl	2003-09-12 03:35:18.000000000 +0200
@@ -125,7 +125,7 @@
      _NET_WM_WINDOW_TYPE_UTILITY
      _NET_WM_WINDOW_TYPE_SPLASH])
   
-  (defvar wm-spec-below-depth +2)
+  (defvar wm-spec-below-depth -2)
   (defvar wm-spec-above-depth +2)
 
   (define supported-states '())


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux manin 2.4.22 #1 gio set 11 23:59:49 CEST 2003 i686
Locale: LANG=it_IT@euro, LC_CTYPE=it_IT@euro

Versions of packages sawfish depends on:
ii  gnome-terminal [x-terminal-em 2.2.2-3    The GNOME 2 terminal emulator appl
ii  libatk1.0-0                   1.2.4-1    The ATK accessibility toolkit
ii  libaudiofile0                 0.2.3-4    The Audiofile Library
ii  libc6                         2.3.2-6    GNU C Library: Shared libraries an
ii  libesd0                       0.2.29-1   Enlightened Sound Daemon - Shared 
ii  libfontconfig1                2.2.1-2    generic font configuration library
ii  libfreetype6                  2.1.4-5    FreeType 2 font engine, shared lib
ii  libglib2.0-0                  2.2.3-1    The GLib library of C routines
ii  libgmp3                       4.1.2-3    Multiprecision arithmetic library
ii  libgtk2.0-0                   2.2.4-1    The GTK+ graphical user interface 
ii  libpango1.0-0                 1.2.5-1    Layout and rendering of internatio
ii  librep9                       0.16.2-5   an embeddable Emacs-Lisp-like runt
ii  libxft2                       2.1.1-2    advanced font drawing library for 
ii  libxrender1                   0.8.2-1    X Rendering Extension client libra
ii  multi-gnome-terminal [x-termi 1.6.2-2    Enhanced the GNOME Terminal
ii  rep-gtk                       0.18-1     GTK binding for librep
ii  wterm [x-terminal-emulator]   6.2.9-6    An rxvt based, color xterm replace
ii  xlibs                         4.2.1-11   X Window System client libraries
ii  xterm [x-terminal-emulator]   4.2.1-11   X terminal emulator
ii  zlib1g                        1:1.1.4-14 compression library - runtime

-- no debconf information




Information stored:
Bug#210518; Package sawfish. Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 210518-quiet@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@debian.org>
To: Mattia Monga <monga@debian.org>
Cc: 210518-quiet@bugs.debian.org
Subject: Re: Bug#210518: sawfish: _NET_WM_STATE_ABOVE and _NET_WM_STATE_BELOW not managed properly
Date: Fri, 12 Sep 2003 16:08:14 +0200
Mattia Monga <monga@debian.org> writes:

> Package: sawfish
> Version: 1:1.3-4
> Severity: normal
> Tags: patch
>
> When an application (try gdesklets) sends a request of adding or
> removing _NET_WM_STATE_BELOW or _NET_WM_STATE_ABOVE to a window,
> sawfish add or remove both (and ABOVE seems to have priority)

Do you have sent this patch to upstream ?

Christian



Noted your statement that Bug has been forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=122335. Request was from Christian Marillat <marillat@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Christian Marillat <marillat@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Christian Marillat <marillat@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mattia Monga <monga@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 210518-close@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@debian.org>
To: 210518-close@bugs.debian.org
Subject: Bug#210518: fixed in sawfish 1:1.3-5
Date: Fri, 26 Sep 2003 10:32:28 -0400
Source: sawfish
Source-Version: 1:1.3-5

We believe that the bug you reported is fixed in the latest version of
sawfish, which is due to be installed in the Debian FTP archive:

sawfish-gnome_1.3-5_all.deb
  to pool/main/s/sawfish/sawfish-gnome_1.3-5_all.deb
sawfish-lisp-source_1.3-5_all.deb
  to pool/main/s/sawfish/sawfish-lisp-source_1.3-5_all.deb
sawfish_1.3-5.diff.gz
  to pool/main/s/sawfish/sawfish_1.3-5.diff.gz
sawfish_1.3-5.dsc
  to pool/main/s/sawfish/sawfish_1.3-5.dsc
sawfish_1.3-5_i386.deb
  to pool/main/s/sawfish/sawfish_1.3-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 210518@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Marillat <marillat@debian.org> (supplier of updated sawfish package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 26 Sep 2003 16:16:19 +0200
Source: sawfish
Binary: sawfish-gnome sawfish sawfish-lisp-source
Architecture: source i386 all
Version: 1:1.3-5
Distribution: unstable
Urgency: low
Maintainer: Christian Marillat <marillat@debian.org>
Changed-By: Christian Marillat <marillat@debian.org>
Description: 
 sawfish    - A window manager for X11
 sawfish-gnome - Dummy package providing sawfish-gnome
 sawfish-lisp-source - Sawfish lisp files
Closes: 210518
Changes: 
 sawfish (1:1.3-5) unstable; urgency=low
 .
   * New patch to manage properly _NET_WM_STATE_ABOVE and _NET_WM_STATE_BELOW
     (Closes: #210518)
   * Should Build-depends on libxrender-dev
Files: 
 0d268f36ac1dd39cc966789a16ca27a4 778 x11 optional sawfish_1.3-5.dsc
 d3441014df82dabc3ea139e26c05240c 34758 x11 optional sawfish_1.3-5.diff.gz
 48ab10677853fcac1d47b064e208910e 222176 x11 optional sawfish-lisp-source_1.3-5_all.deb
 403825057cbe2aa9c3dbb95ebc53dc12 40434 gnome optional sawfish-gnome_1.3-5_all.deb
 28c4063b82240480374f9c2cc1fa8cff 1353666 x11 optional sawfish_1.3-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/dEqwB9xWPR9BuQcRAnz4AKCHy8qG4qLJaFpSEdKxjNdku1BNLQCfbrQT
kl3P202nHbKV3LlhIFSiWo8=
=eNeM
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:18:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.